> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/workflow.md).

# Workflow

Build and manage workflows in VARIO Cloud via API, including triggers, elements, scripts, savepoints, imports, exports, and activation.

the workflow API

## GET /cmn/workflows/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}":{"get":{"tags":["Workflow"],"summary":"Find an existing Resource by identifier","operationId":"getById_114","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /cmn/workflows/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}":{"put":{"tags":["Workflow"],"summary":"Update existing Resource ","operationId":"update_117","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /cmn/workflows/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}":{"delete":{"tags":["Workflow"],"summary":"Delete an existing Resource","operationId":"delete_105","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## GET /cmn/workflows/{id}/workflow-elements/{element-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/workflow-elements/{element-id}":{"get":{"tags":["Workflow"],"operationId":"getElementById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"element-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowElement":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Element name."},"description":{"type":"string","description":"Further description, if any."},"type":{"type":"string","description":"Indicates which kind of element a WorkflowElement is.","enum":["START_EVENT","INTERMEDIATE_EVENT","END_EVENT_SUCCESS","END_EVENT_ERROR","USER_TASK","SCRIPT_TASK","EXCLUSIVE_SPLIT_GATEWAY","EXCLUSIVE_JOIN_GATEWAY","PARALLEL_JOIN_GATEWAY","TIMER","SUB_WORKFLOW"]},"script":{"type":"string","description":"Script to execute."},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameters to load before an element is executed.","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElementParameter"}},"sequelElementRefs":{"type":"array","description":"Successor elements.","items":{"$ref":"#/components/schemas/common-workflow-WorkflowSequelElementRef"},"readOnly":true},"uiData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"intermediateEventIdentifiers":{"type":"array","description":"For INTERMEDIATE_EVENT: what triggers this event?","items":{"type":"string","description":"For INTERMEDIATE_EVENT: what triggers this event?"}},"triggerSingleInstance":{"type":"boolean","default":true,"description":"For INTERMEDIATE_EVENT: can only be triggered in the defined instance."},"guardingIntervalInSeconds":{"type":"integer","format":"int32","description":"For INTERMEDIATE_EVENT: defines a polling interval at which the intermediate event is checked for whether the script can be executed. Only in combination with delayInSeconds."},"possibleSplitResults":{"type":"array","description":"Possible split results or outcomes.","items":{"type":"string","description":"Possible split results or outcomes."}},"timeoutAfterSeconds":{"type":"integer","format":"int64","description":"Timer delay."},"responsibleUserRefs":{"type":"array","description":"Users who can process this UserTask.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"responsibleUserGroupRefs":{"type":"array","description":"User groups that can process this UserTask.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"userDecisions":{"type":"array","description":"Lists for the selection options.","items":{"$ref":"#/components/schemas/common-workflow-UserDecision"}},"responsibleUserIsExecutingUser":{"type":"boolean","default":false,"description":"The executing user is also the responsible user."},"subWorkflowRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-workflow-WorkflowElementParameter":{"description":"Workflow element parameter.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Parameter name.","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Parameter type, if it was predefined e.g. by a script module.","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fixed value (only in combination with fixedValueType).","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Fixed value data type (only in combination with fixedValue).","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"attributePath":{"type":"string","description":"Path to an attribute within the query from queryPresetRef."}},"required":["name"]},"common-workflow-WorkflowSequelElementRef":{"description":"Successor elements.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"name":{"type":"string","description":"Name.","readOnly":true},"description":{"type":"string","description":"Description.","readOnly":true},"executeOnSplitResult":{"type":"string","description":"When this element is executed."}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-workflow-UserDecision":{"description":"Lists for the selection options.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"workItemId":{"type":"integer","format":"int64","description":"Identifier of the work item the user decision belongs to.","readOnly":true},"resultName":{"type":"string","description":"Name the result can be retrieved under.","minLength":1},"prompt":{"type":"string","description":"Text description of the selection list or the prompt.","minLength":1},"valueType":{"type":"string","description":"List item type.","minLength":1},"choiceOptions":{"type":"array","description":"Predefined answer options, or empty for an open question.","items":{"$ref":"#/components/schemas/common-workflow-ChoiceOption"}},"searchDialog":{"type":"string","description":"Search dialog for finding the value (instead of the selection options)."},"trySynchronous":{"type":"boolean","default":false,"description":"Should an attempt be made to query the user decision synchronously?"},"multipleChoiceAllowed":{"type":"boolean"}},"required":["prompt","resultName","valueType"]},"common-workflow-ChoiceOption":{"description":"Predefined answer options, or empty for an open question.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Choice label."},"value":{"type":"string","description":"Selection option value (text).","minLength":1},"followUpUserDecision":{"$ref":"#/components/schemas/common-workflow-UserDecision"},"defaultValue":{"type":"boolean"}},"required":["value"]}}}}
```

## PUT /cmn/workflows/{id}/workflow-elements/{element-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/workflow-elements/{element-id}":{"put":{"tags":["Workflow"],"operationId":"updateElement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"element-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowElement":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Element name."},"description":{"type":"string","description":"Further description, if any."},"type":{"type":"string","description":"Indicates which kind of element a WorkflowElement is.","enum":["START_EVENT","INTERMEDIATE_EVENT","END_EVENT_SUCCESS","END_EVENT_ERROR","USER_TASK","SCRIPT_TASK","EXCLUSIVE_SPLIT_GATEWAY","EXCLUSIVE_JOIN_GATEWAY","PARALLEL_JOIN_GATEWAY","TIMER","SUB_WORKFLOW"]},"script":{"type":"string","description":"Script to execute."},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameters to load before an element is executed.","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElementParameter"}},"sequelElementRefs":{"type":"array","description":"Successor elements.","items":{"$ref":"#/components/schemas/common-workflow-WorkflowSequelElementRef"},"readOnly":true},"uiData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"intermediateEventIdentifiers":{"type":"array","description":"For INTERMEDIATE_EVENT: what triggers this event?","items":{"type":"string","description":"For INTERMEDIATE_EVENT: what triggers this event?"}},"triggerSingleInstance":{"type":"boolean","default":true,"description":"For INTERMEDIATE_EVENT: can only be triggered in the defined instance."},"guardingIntervalInSeconds":{"type":"integer","format":"int32","description":"For INTERMEDIATE_EVENT: defines a polling interval at which the intermediate event is checked for whether the script can be executed. Only in combination with delayInSeconds."},"possibleSplitResults":{"type":"array","description":"Possible split results or outcomes.","items":{"type":"string","description":"Possible split results or outcomes."}},"timeoutAfterSeconds":{"type":"integer","format":"int64","description":"Timer delay."},"responsibleUserRefs":{"type":"array","description":"Users who can process this UserTask.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"responsibleUserGroupRefs":{"type":"array","description":"User groups that can process this UserTask.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"userDecisions":{"type":"array","description":"Lists for the selection options.","items":{"$ref":"#/components/schemas/common-workflow-UserDecision"}},"responsibleUserIsExecutingUser":{"type":"boolean","default":false,"description":"The executing user is also the responsible user."},"subWorkflowRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-workflow-WorkflowElementParameter":{"description":"Workflow element parameter.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Parameter name.","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Parameter type, if it was predefined e.g. by a script module.","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fixed value (only in combination with fixedValueType).","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Fixed value data type (only in combination with fixedValue).","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"attributePath":{"type":"string","description":"Path to an attribute within the query from queryPresetRef."}},"required":["name"]},"common-workflow-WorkflowSequelElementRef":{"description":"Successor elements.","properties":{"id":{"type":"integer","format":"int64","description":"Unique identifier."},"name":{"type":"string","description":"Name.","readOnly":true},"description":{"type":"string","description":"Description.","readOnly":true},"executeOnSplitResult":{"type":"string","description":"When this element is executed."}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"common-workflow-UserDecision":{"description":"Lists for the selection options.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"workItemId":{"type":"integer","format":"int64","description":"Identifier of the work item the user decision belongs to.","readOnly":true},"resultName":{"type":"string","description":"Name the result can be retrieved under.","minLength":1},"prompt":{"type":"string","description":"Text description of the selection list or the prompt.","minLength":1},"valueType":{"type":"string","description":"List item type.","minLength":1},"choiceOptions":{"type":"array","description":"Predefined answer options, or empty for an open question.","items":{"$ref":"#/components/schemas/common-workflow-ChoiceOption"}},"searchDialog":{"type":"string","description":"Search dialog for finding the value (instead of the selection options)."},"trySynchronous":{"type":"boolean","default":false,"description":"Should an attempt be made to query the user decision synchronously?"},"multipleChoiceAllowed":{"type":"boolean"}},"required":["prompt","resultName","valueType"]},"common-workflow-ChoiceOption":{"description":"Predefined answer options, or empty for an open question.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Choice label."},"value":{"type":"string","description":"Selection option value (text).","minLength":1},"followUpUserDecision":{"$ref":"#/components/schemas/common-workflow-UserDecision"},"defaultValue":{"type":"boolean"}},"required":["value"]}}}}
```

## DELETE /cmn/workflows/{id}/workflow-elements/{element-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/workflow-elements/{element-id}":{"delete":{"tags":["Workflow"],"operationId":"removeElement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"element-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /cmn/workflows/{id}/setSavePointBeginEditing

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/setSavePointBeginEditing":{"put":{"tags":["Workflow"],"operationId":"setSavePointBeginEditing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /cmn/workflows/{id}/restoreSavePointAfterCancelEditing

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/restoreSavePointAfterCancelEditing":{"put":{"tags":["Workflow"],"operationId":"restoreSavePointBeginEditing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /cmn/workflows/{id}/restoreNextSavePoint

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/restoreNextSavePoint":{"put":{"tags":["Workflow"],"operationId":"restoreNextSavePoint","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /cmn/workflows/{id}/restoreLastSavePoint

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/restoreLastSavePoint":{"put":{"tags":["Workflow"],"operationId":"restoreLastSavePoint","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /cmn/workflows/{id}/deactivate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/deactivate":{"put":{"tags":["Workflow"],"operationId":"deactivate_56","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /cmn/workflows/{id}/changeNameAndDescription

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/changeNameAndDescription":{"put":{"tags":["Workflow"],"operationId":"changeWorkflowNameAndDescription","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowChangeNameAndDescriptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowChangeNameAndDescriptionRequest":{"properties":{"name":{"type":"string","description":"New workflow name.","minLength":1},"description":{"type":"string","description":"New workflow description."}},"required":["name"]},"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## PUT /cmn/workflows/{id}/activate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/activate":{"put":{"tags":["Workflow"],"operationId":"activate_56","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /cmn/workflows

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows":{"post":{"tags":["Workflow"],"summary":"Create new Resource","operationId":"create_110","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Workflow name.","minLength":1},"description":{"type":"string","description":"Workflow description."},"trigger":{"type":"string","description":"When this workflow is triggered."},"subWorkflow":{"type":"boolean","default":false,"description":"Is this a sub workflow?"},"state":{"type":"string","default":"DRAFT","description":"Workflow status.","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Is this a synchronous workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## GET /cmn/workflows/{id}/workflow-elements

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"api.example.com"}],"paths":{"/cmn/workflows/{id}/workflow-elements":{"get":{"tags":["Workflow"],"operationId":"getElements","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowElement":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Element name."},"description":{"type":"string","description":"Further description, if any."},"type":{"type":"string","description":"Indicates which kind of element a WorkflowElement is.","enum":["START_EVENT","INTERMEDIATE_EVENT","END_EVENT_SUCCESS","END_EVENT_ERROR","USER_TASK","SCRIPT_TASK","EXCLUSIVE_SPLIT_GATEWAY","EXCLUSIVE_JOIN_GATEWAY","PARALLEL_JOIN_GATEWAY","TIMER","SUB_WORKFLOW"]},"script":{"type":"string","description":"Script to execute."},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameters to load before an element is executed.","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElementParameter"}},"sequelElementRefs":{"type":"array","description":"Successor elements.","items":{"$ref":"#/components/schemas/common-workflow-WorkflowSequelElementRef"},"readOnly":true},"uiData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"intermediateEventIdentifiers":{"type":"array","description":"For INTERMEDIATE_EVENT: what triggers this event?","items":{"type":"string","description":"For INTERMEDIATE_EVENT: what triggers this event?"}},"triggerSingleInstance":{"type":"boolean","default":true,"description":"For INTERMEDIATE_EVENT: can only be triggered in the defined instance."},"guardingIntervalInSeconds":{"type":"integer","format":"int32","description":"For INTERMEDIATE_EVENT: defines a polling interval at which the intermediate event is checked for whether the script can be executed. Only in combinat
[...]
